pre {
    background-color: #f8f8f8;
    border: 1px solid #ccc;
    padding: 1em;
    overflow-x: auto;
    font-family: Consolas, Menlo, Monaco, monospace;
    font-size: 1.0em;
    line-height: 1.4;
}

pre .comment { color: #093; }
pre .pp      { color: #666; }
pre .header  { color: #666; }
pre .type    { color: #00c; }
pre .mytype  { color: #60c; }
pre .func    { color: #03f; }
pre .myfunc  { color: #90f; }
pre .macro   { color: #c09; }
pre .mymacro { color: #f09; }
pre .greyout { color: #aaa; }

p code, li code, div code {
    background-color: #f8f8f8;
    padding: 0.1em 0.3em;
    border-radius: 4px;
    font-family: Consolas, Menlo, Monaco, monospace;
}

pre code {
    background: none;
    padding: 0;
    border-radius: 0;
}

.listing {
    margin: 1.5em 0;
}

.code-block, .listing {
    margin: 1.5em 0;
    background-color: #fafafa;
    border: 1px solid #dcdcdc;
    border-left: 4px solid #0056b3;
    border-radius: 6px;
    overflow: hidden;
}

.code-block pre, .listing pre {
    display: block;
    width: 100%;
    margin: 0;
    padding: 0.8em 1em;
    //background: transparent;
    background: #fcfcfc;
    border: none;
    border-radius: 0;
    box-sizing: border-box;
}

.listing figcaption {
    margin-top: 0.5em;
    font-size: 0.9em;
    color: #444;
}
.listing .note {
    margin-top: 0.8em;
}
